/*
* This file is part of fwmon
* Copyright (c) 2001,2002 Gianni Tedesco
*
*    fwmon is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    fwmon is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with fwmon; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __LANGUAGE_SUPPORT_INCLUDED__
#define __LANGUAGE_SUPPORT_INCLUDED__

#define CRLF "\n"
#define ERR_ERROR	"ERROR: "
#define ERR_OPEN_LOG	ERR_ERROR "Couldn't open logfile"
#define ERR_OPEN_CAP	ERR_ERROR "Couldn't open capture device"
#define ERR_SMALL_PKT	ERR_ERROR "Packet too small"
#define ERR_RESYNC	ERR_ERROR "Netlink died, unable to resync, root privileges are dropped"

#define ERR_SUGID	ERR_ERROR "You must set uid AND gid"
#define ERR_FMATCH	ERR_ERROR "Logfile and tcpdump file cannot be the same"
#define ERR_NODATA	ERR_ERROR "nohex, and noascii options are mutually exclusive"
#define ERR_ZEROLINE	ERR_ERROR "Line length must be greater than one"
#define ERR_LIBPCAP	ERR_ERROR "Libpcap support is not compiled in to this version of fwmon"
#define ERR_UNAME	ERR_ERROR "Cannot determine node name of this machine"
#define ERR_NOOUT	ERR_ERROR "Refusing to run silent, no output method selected"

#endif /* __LANGUAGE_SUPPORT_INCLUDED__ */
